> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rated.network/llms.txt
> Use this file to discover all available pages before exploring further.

# Delegator Summaries

Similar to the [Single Delegator Summary](/rated-api/api-reference/v0/polygon/delegators/delegator-summary) but returns the summary stats for all delegators.

Here's how to interpret the inputs required to operate it:

| Parameter | Context                                                                                    |
| :-------- | :----------------------------------------------------------------------------------------- |
| window    | Window of the aggregation, with `1d`, `7d`, `30d` and `all` being the supported values     |
| from      | From a specific delegator's ranking based on their order in terms of `network_penetration` |
| size      | The number of results included per page                                                    |


## OpenAPI

````yaml get /v0/polygon/delegators
openapi: 3.1.0
info:
  title: Rated API
  description: >

    Welcome to Rated API Swagger doc for developers! This doc outlines the Rated
    API functionality and API architecture.


    V0: It is separated into seven categories:


    -   **Validators**: Endpoints to query into individual validator indices or
    aggregations of validator indices.

    -   **Operators**: Endpoints to query into pre-materialized operator
    groupings.

    -   **Network**: Endpoints to query into network aggregate stats.

    -   **Slashings**: Endpoints to query into network aggregate stats.

    -   **Withdrawals (beta)**: Endpoints to query into when a withdrawal is
    expected to land.

    -   **Self Report (beta)**: Endpoint to query into all slashed validators
    and individual slashed validator indices


    V1: It is separated into six categories:

    -   **Overview**: Endpoints encapsulating the current status of operators,
    pools and validators.

    -   **Performance**: Endpoints that dive into performance and effectiveness
    metrics on execution and consensus layer for operators, pools and
    validators.

    -   **Rewards**: Endpoints that dive into relevant metrics around rewards
    and penalties for operators, pools and validators.

    -   **Private Sets**: Endpoints that aggregate custom group of validators
    privately for performance and reward drill downs.

    -   **Metadata**: Endpoints that provide metadata about mappings, slashings
    and APRs for validators, pools and operators.

    -   **Network**: Endpoints that provide network level metrics about
    performance, rewards, and distributions.


    [Terms of Use](https://docs.rated.network/legal/terms/api-terms-of-service)


    [API
    Reference](https://docs.rated.network/rated-api/api-reference/introduction)
  version: '1.0'
servers: []
security: []
paths:
  /v0/polygon/delegators:
    get:
      tags:
        - Polygon Delegators
      summary: Delegator Summaries
      operationId: delegator_summaries_v0_polygon_delegators_get
      parameters:
        - name: window
          in: query
          required: true
          schema:
            $ref: '#/components/schemas/TimeWindow'
        - name: from
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                minimum: 0
              - type: 'null'
            title: From
        - name: size
          in: query
          required: false
          schema:
            type: integer
            default: 15
            title: Size
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PaginatedResponse_PolygonDelegatorSummary_
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
      security:
        - HTTPBearer: []
components:
  schemas:
    TimeWindow:
      type: string
      enum:
        - 1d
        - 7d
        - 30d
        - all
      title: TimeWindow
    PaginatedResponse_PolygonDelegatorSummary_:
      properties:
        page:
          $ref: '#/components/schemas/api__schemas__page_polygon__Page'
        total:
          type: integer
          minimum: 0
          title: Total
        data:
          items:
            $ref: '#/components/schemas/PolygonDelegatorSummary'
          type: array
          title: Data
        next:
          anyOf:
            - type: string
            - type: 'null'
          title: Next
      type: object
      required:
        - page
        - total
        - data
      title: PaginatedResponse[PolygonDelegatorSummary]
    ErrorResponse:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/Error'
          type: array
          title: Detail
      type: object
      required:
        - detail
      title: ErrorResponse
    api__schemas__page_polygon__Page:
      properties:
        from:
          anyOf:
            - type: integer
            - type: string
              format: date
            - type: 'null'
          title: From
        to:
          anyOf:
            - type: integer
            - type: string
              format: date
            - type: 'null'
          title: To
        granularity:
          anyOf:
            - $ref: '#/components/schemas/networks__polygon__granularity__Granularity'
            - type: 'null'
        size:
          anyOf:
            - type: integer
              exclusiveMinimum: 0
            - type: 'null'
          title: Size
      type: object
      title: Page
    PolygonDelegatorSummary:
      properties:
        delegatorAddress:
          type: string
          title: Delegatoraddress
        timeWindow:
          $ref: '#/components/schemas/TimeWindow'
        networkPenetration:
          type: string
          title: Networkpenetration
        delegations:
          items:
            $ref: '#/components/schemas/PolygonDelegation'
          type: array
          title: Delegations
        aprGross:
          anyOf:
            - type: string
            - type: 'null'
          title: Aprgross
        aprNet:
          anyOf:
            - type: string
            - type: 'null'
          title: Aprnet
        aggregateEffectiveness:
          type: string
          title: Aggregateeffectiveness
        blendedCommissionRate:
          type: string
          title: Blendedcommissionrate
        totalDelegatorStake:
          type: string
          title: Totaldelegatorstake
        totalGrossRewards:
          type: string
          title: Totalgrossrewards
        totalNetRewards:
          type: string
          title: Totalnetrewards
        totalCommissionPaid:
          type: string
          title: Totalcommissionpaid
      type: object
      required:
        - delegatorAddress
        - timeWindow
        - networkPenetration
        - delegations
        - aprGross
        - aprNet
        - aggregateEffectiveness
        - blendedCommissionRate
        - totalDelegatorStake
        - totalGrossRewards
        - totalNetRewards
        - totalCommissionPaid
      title: PolygonDelegatorSummary
      examples:
        - aggregateEffectiveness: 0.98865
          aprGross: 0.05
          aprNet: 0.05
          blendedCommissionRate: 0.05125
          delegations:
            - stakePercentage: 0.1
              validatorId: 103
              validatorName: Stake Capital
            - stakePercentage: 0.1
              validatorId: 104
              validatorName: Coinbase Cloud
          delegatorAddress: '0x00000'
          networkPenetration: 0.1
          timeWindow: 30d
          totalCommissionPaid: 112722.21532
          totalDelegatorStake: 400995914.00753
          totalGrossRewards: 1859026.3456
          totalNetRewards: 1746304.13028
    Error:
      properties:
        loc:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Loc
        msg:
          type: string
          title: Msg
        type:
          type: string
          title: Type
      type: object
      required:
        - msg
        - type
      title: Error
    networks__polygon__granularity__Granularity:
      type: string
      enum:
        - checkpoint
        - day
      title: Granularity
    PolygonDelegation:
      properties:
        validatorId:
          type: integer
          minimum: 0
          title: Validatorid
        validatorName:
          anyOf:
            - type: string
            - type: 'null'
          title: Validatorname
        stakePercentage:
          type: number
          title: Stakepercentage
      type: object
      required:
        - validatorId
        - validatorName
        - stakePercentage
      title: PolygonDelegation
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````